<?php


namespace App\Entities\Administrativo;

use App\Utils\Builder;

class AdministrativoBuilder implements Builder
{
    private $id;
    private $id_profissional;

    public function setId(int $id): AdministrativoBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setIdProfissional(int $id_profissional): AdministrativoBuilder
    {
        $this->id_profissional = $id_profissional;
        return $this;
    }

    public function build() : Administrativo
    {
        $assistente = new Administrativo();
        if (isset($this->id)) {
            $assistente->setId($this->id);
        }
        if (isset($this->id_profissional)) {
            $assistente->setIdProfissional($this->id_profissional);
        }
        return $assistente;
    }

}